<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>thunar-io-jobs: Thunar Internal Functions Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
<link rel="home" href="index.html" title="Thunar Internal Functions Reference Manual">
<link rel="up" href="ch03.html" title="Parallel Tasks">
<link rel="prev" href="ThunarSimpleJob.html" title="ThunarSimpleJob">
<link rel="next" href="thunar-thunar-io-jobs-util.html" title="thunar-io-jobs-util">
<meta name="generator" content="GTK-Doc V1.34.0 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#thunar-thunar-io-jobs.description" class="shortcut">Description</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="ch03.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="ThunarSimpleJob.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="thunar-thunar-io-jobs-util.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="thunar-thunar-io-jobs"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="thunar-thunar-io-jobs.top_of_page"></a>thunar-io-jobs</span></h2>
<p>thunar-io-jobs</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="thunar-thunar-io-jobs.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_proto_type">
<col class="functions_proto_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
</td>
<td class="function_name">
<a class="link" href="thunar-thunar-io-jobs.html#thunar-io-jobs-create-files" title="thunar_io_jobs_create_files ()">thunar_io_jobs_create_files</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
</td>
<td class="function_name">
<a class="link" href="thunar-thunar-io-jobs.html#thunar-io-jobs-make-directories" title="thunar_io_jobs_make_directories ()">thunar_io_jobs_make_directories</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
</td>
<td class="function_name">
<a class="link" href="thunar-thunar-io-jobs.html#thunar-io-jobs-unlink-files" title="thunar_io_jobs_unlink_files ()">thunar_io_jobs_unlink_files</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
</td>
<td class="function_name">
<a class="link" href="thunar-thunar-io-jobs.html#thunar-io-jobs-move-files" title="thunar_io_jobs_move_files ()">thunar_io_jobs_move_files</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
</td>
<td class="function_name">
<a class="link" href="thunar-thunar-io-jobs.html#thunar-io-jobs-copy-files" title="thunar_io_jobs_copy_files ()">thunar_io_jobs_copy_files</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
</td>
<td class="function_name">
<a class="link" href="thunar-thunar-io-jobs.html#thunar-io-jobs-link-files" title="thunar_io_jobs_link_files ()">thunar_io_jobs_link_files</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
</td>
<td class="function_name">
<a class="link" href="thunar-thunar-io-jobs.html#thunar-io-jobs-trash-files" title="thunar_io_jobs_trash_files ()">thunar_io_jobs_trash_files</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
</td>
<td class="function_name">
<a class="link" href="thunar-thunar-io-jobs.html#thunar-io-jobs-restore-files" title="thunar_io_jobs_restore_files ()">thunar_io_jobs_restore_files</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
</td>
<td class="function_name">
<a class="link" href="thunar-thunar-io-jobs.html#thunar-io-jobs-change-group" title="thunar_io_jobs_change_group ()">thunar_io_jobs_change_group</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
</td>
<td class="function_name">
<a class="link" href="thunar-thunar-io-jobs.html#thunar-io-jobs-change-mode" title="thunar_io_jobs_change_mode ()">thunar_io_jobs_change_mode</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
</td>
<td class="function_name">
<a class="link" href="thunar-thunar-io-jobs.html#thunar-io-jobs-list-directory" title="thunar_io_jobs_list_directory ()">thunar_io_jobs_list_directory</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
</td>
<td class="function_name">
<a class="link" href="thunar-thunar-io-jobs.html#thunar-io-jobs-rename-file" title="thunar_io_jobs_rename_file ()">thunar_io_jobs_rename_file</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
</td>
<td class="function_name">
<a class="link" href="thunar-thunar-io-jobs.html#thunar-io-jobs-count-files" title="thunar_io_jobs_count_files ()">thunar_io_jobs_count_files</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
</td>
<td class="function_name">
<a class="link" href="thunar-thunar-io-jobs.html#thunar-io-jobs-search-directory" title="thunar_io_jobs_search_directory ()">thunar_io_jobs_search_directory</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
</td>
<td class="function_name">
<a class="link" href="thunar-thunar-io-jobs.html#thunar-io-jobs-clear-metadata-for-files" title="thunar_io_jobs_clear_metadata_for_files ()">thunar_io_jobs_clear_metadata_for_files</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
</td>
<td class="function_name">
<a class="link" href="thunar-thunar-io-jobs.html#thunar-io-jobs-set-metadata-for-files" title="thunar_io_jobs_set_metadata_for_files ()">thunar_io_jobs_set_metadata_for_files</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
</td>
<td class="function_name">
<a class="link" href="thunar-thunar-io-jobs.html#thunar-io-jobs-load-content-types" title="thunar_io_jobs_load_content_types ()">thunar_io_jobs_load_content_types</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
</td>
<td class="function_name">
<a class="link" href="thunar-thunar-io-jobs.html#thunar-io-jobs-load-statusbar-text-for-folder" title="thunar_io_jobs_load_statusbar_text_for_folder ()">thunar_io_jobs_load_statusbar_text_for_folder</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
</td>
<td class="function_name">
<a class="link" href="thunar-thunar-io-jobs.html#thunar-io-jobs-load-statusbar-text-for-selection" title="thunar_io_jobs_load_statusbar_text_for_selection ()">thunar_io_jobs_load_statusbar_text_for_selection</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="thunar-thunar-io-jobs.description"></a><h2>Description</h2>
</div>
<div class="refsect1">
<a name="thunar-thunar-io-jobs.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="thunar-io-jobs-create-files"></a><h3>thunar_io_jobs_create_files ()</h3>
<pre class="programlisting"><a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
thunar_io_jobs_create_files (<em class="parameter"><code><span class="type">GList</span> *file_list</code></em>,
                             <em class="parameter"><code><span class="type">GFile</span> *template_file</code></em>);</pre>
</div>
<hr>
<div class="refsect2">
<a name="thunar-io-jobs-make-directories"></a><h3>thunar_io_jobs_make_directories ()</h3>
<pre class="programlisting"><a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
thunar_io_jobs_make_directories (<em class="parameter"><code><span class="type">GList</span> *file_list</code></em>);</pre>
</div>
<hr>
<div class="refsect2">
<a name="thunar-io-jobs-unlink-files"></a><h3>thunar_io_jobs_unlink_files ()</h3>
<pre class="programlisting"><a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
thunar_io_jobs_unlink_files (<em class="parameter"><code><span class="type">GList</span> *file_list</code></em>);</pre>
</div>
<hr>
<div class="refsect2">
<a name="thunar-io-jobs-move-files"></a><h3>thunar_io_jobs_move_files ()</h3>
<pre class="programlisting"><a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
thunar_io_jobs_move_files (<em class="parameter"><code><span class="type">GList</span> *source_file_list</code></em>,
                           <em class="parameter"><code><span class="type">GList</span> *target_file_list</code></em>);</pre>
</div>
<hr>
<div class="refsect2">
<a name="thunar-io-jobs-copy-files"></a><h3>thunar_io_jobs_copy_files ()</h3>
<pre class="programlisting"><a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
thunar_io_jobs_copy_files (<em class="parameter"><code><span class="type">GList</span> *source_file_list</code></em>,
                           <em class="parameter"><code><span class="type">GList</span> *target_file_list</code></em>);</pre>
</div>
<hr>
<div class="refsect2">
<a name="thunar-io-jobs-link-files"></a><h3>thunar_io_jobs_link_files ()</h3>
<pre class="programlisting"><a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
thunar_io_jobs_link_files (<em class="parameter"><code><span class="type">GList</span> *source_file_list</code></em>,
                           <em class="parameter"><code><span class="type">GList</span> *target_file_list</code></em>);</pre>
</div>
<hr>
<div class="refsect2">
<a name="thunar-io-jobs-trash-files"></a><h3>thunar_io_jobs_trash_files ()</h3>
<pre class="programlisting"><a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
thunar_io_jobs_trash_files (<em class="parameter"><code><span class="type">GList</span> *file_list</code></em>);</pre>
</div>
<hr>
<div class="refsect2">
<a name="thunar-io-jobs-restore-files"></a><h3>thunar_io_jobs_restore_files ()</h3>
<pre class="programlisting"><a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
thunar_io_jobs_restore_files (<em class="parameter"><code><span class="type">GList</span> *source_file_list</code></em>,
                              <em class="parameter"><code><span class="type">GList</span> *target_file_list</code></em>);</pre>
</div>
<hr>
<div class="refsect2">
<a name="thunar-io-jobs-change-group"></a><h3>thunar_io_jobs_change_group ()</h3>
<pre class="programlisting"><a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
thunar_io_jobs_change_group (<em class="parameter"><code><span class="type">GList</span> *files</code></em>,
                             <em class="parameter"><code><span class="type">guint32</span> gid</code></em>,
                             <em class="parameter"><code><span class="type">gboolean</span> recursive</code></em>);</pre>
</div>
<hr>
<div class="refsect2">
<a name="thunar-io-jobs-change-mode"></a><h3>thunar_io_jobs_change_mode ()</h3>
<pre class="programlisting"><a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
thunar_io_jobs_change_mode (<em class="parameter"><code><span class="type">GList</span> *files</code></em>,
                            <em class="parameter"><code><a class="link" href="thunar-thunar-enum-types.html#ThunarFileMode" title="enum ThunarFileMode"><span class="type">ThunarFileMode</span></a> dir_mask</code></em>,
                            <em class="parameter"><code><a class="link" href="thunar-thunar-enum-types.html#ThunarFileMode" title="enum ThunarFileMode"><span class="type">ThunarFileMode</span></a> dir_mode</code></em>,
                            <em class="parameter"><code><a class="link" href="thunar-thunar-enum-types.html#ThunarFileMode" title="enum ThunarFileMode"><span class="type">ThunarFileMode</span></a> file_mask</code></em>,
                            <em class="parameter"><code><a class="link" href="thunar-thunar-enum-types.html#ThunarFileMode" title="enum ThunarFileMode"><span class="type">ThunarFileMode</span></a> file_mode</code></em>,
                            <em class="parameter"><code><span class="type">gboolean</span> recursive</code></em>);</pre>
</div>
<hr>
<div class="refsect2">
<a name="thunar-io-jobs-list-directory"></a><h3>thunar_io_jobs_list_directory ()</h3>
<pre class="programlisting"><a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
thunar_io_jobs_list_directory (<em class="parameter"><code><span class="type">GFile</span> *directory</code></em>);</pre>
</div>
<hr>
<div class="refsect2">
<a name="thunar-io-jobs-rename-file"></a><h3>thunar_io_jobs_rename_file ()</h3>
<pre class="programlisting"><a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
thunar_io_jobs_rename_file (<em class="parameter"><code><a class="link" href="ThunarFile.html" title="ThunarFile"><span class="type">ThunarFile</span></a> *file</code></em>,
                            <em class="parameter"><code>const <span class="type">gchar</span> *display_name</code></em>,
                            <em class="parameter"><code><a class="link" href="thunar-thunar-enum-types.html#ThunarOperationLogMode" title="enum ThunarOperationLogMode"><span class="type">ThunarOperationLogMode</span></a> log_mode</code></em>);</pre>
</div>
<hr>
<div class="refsect2">
<a name="thunar-io-jobs-count-files"></a><h3>thunar_io_jobs_count_files ()</h3>
<pre class="programlisting"><a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
thunar_io_jobs_count_files (<em class="parameter"><code><a class="link" href="ThunarFile.html" title="ThunarFile"><span class="type">ThunarFile</span></a> *file</code></em>);</pre>
</div>
<hr>
<div class="refsect2">
<a name="thunar-io-jobs-search-directory"></a><h3>thunar_io_jobs_search_directory ()</h3>
<pre class="programlisting"><a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
thunar_io_jobs_search_directory (<em class="parameter"><code><span class="type">ThunarStandardViewModel</span> *model</code></em>,
                                 <em class="parameter"><code>const <span class="type">gchar</span> *search_query</code></em>,
                                 <em class="parameter"><code><a class="link" href="ThunarFile.html" title="ThunarFile"><span class="type">ThunarFile</span></a> *directory</code></em>);</pre>
</div>
<hr>
<div class="refsect2">
<a name="thunar-io-jobs-clear-metadata-for-files"></a><h3>thunar_io_jobs_clear_metadata_for_files ()</h3>
<pre class="programlisting"><a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
thunar_io_jobs_clear_metadata_for_files
                               (<em class="parameter"><code><span class="type">GList</span> *files</code></em>,
                                <em class="parameter"><code>...</code></em>);</pre>
<p>Accepts a variable length metadata_setting_names to clear
for <em class="parameter"><code>files</code></em>
.</p>
<p>Note: the reason for making this func variable length is that
by clearing multiple metadata at once we don't have to call
this func for each metadata setting. Individual calls would trigger
multiple threads which would then require a mutex logic to handle
callback.</p>
<div class="refsect3">
<a name="thunar-io-jobs-clear-metadata-for-files.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>files</p></td>
<td class="parameter_description"><p>a <span class="type">GList</span> of <span class="type">ThunarFiles</span></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>first_metadata_setting_name</p></td>
<td class="parameter_description"><p>the setting name to set</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>...</p></td>
<td class="parameter_description"><p>followed by the corresponding setting value and more
setting_name/value pairs, finally ending with a <code class="literal">NULL</code></p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="thunar-io-jobs-set-metadata-for-files"></a><h3>thunar_io_jobs_set_metadata_for_files ()</h3>
<pre class="programlisting"><a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
thunar_io_jobs_set_metadata_for_files (<em class="parameter"><code><span class="type">GList</span> *files</code></em>,
                                       <em class="parameter"><code><a class="link" href="thunar-thunar-gio-extensions.html#ThunarGType" title="enum ThunarGType"><span class="type">ThunarGType</span></a> type</code></em>,
                                       <em class="parameter"><code>...</code></em>);</pre>
<p>Accepts a variable length metadata setting_name
&amp; setting_value pairs to set for <em class="parameter"><code>files</code></em>
.</p>
<p>Note: the reason for making this func variable length is that
by clearing multiple metadata at once we don't have to call
this func for each metadata setting. Individual calls would trigger
multiple threads which would then require a mutex logic to handle
callback.</p>
<div class="refsect3">
<a name="thunar-io-jobs-set-metadata-for-files.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>files</p></td>
<td class="parameter_description"><p>a <span class="type">GList</span> of <span class="type">ThunarFiles</span></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>type</p></td>
<td class="parameter_description"><p><a class="link" href="thunar-thunar-gio-extensions.html#ThunarGType" title="enum ThunarGType"><span class="type">ThunarGType</span></a> of the metadata</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>first_metadata_setting_name</p></td>
<td class="parameter_description"><p>the setting name to set</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>...</p></td>
<td class="parameter_description"><p>followed by the corresponding setting value and more
setting_name/value pairs, finally ending with a <code class="literal">NULL</code></p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="thunar-io-jobs-load-content-types"></a><h3>thunar_io_jobs_load_content_types ()</h3>
<pre class="programlisting"><a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
thunar_io_jobs_load_content_types (<em class="parameter"><code><span class="type">GHashTable</span> *files</code></em>);</pre>
<p>Loads the content types of the passed <span class="type">ThunarFiles</span> in a separate thread.
After loaded, 'thunar_file_set_content_type' is called for each <a class="link" href="ThunarFile.html" title="ThunarFile"><span class="type">ThunarFile</span></a>.</p>
<div class="refsect3">
<a name="thunar-io-jobs-load-content-types.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>files</p></td>
<td class="parameter_description"><p>a <span class="type">GList</span> of <span class="type">ThunarFiles</span></p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="thunar-io-jobs-load-content-types.returns"></a><h4>Returns</h4>
<p>the <a class="link" href="ThunarJob.html" title="ThunarJob"><span class="type">ThunarJob</span></a> which manages the separate thread. </p>
<p><span class="annotation">[<acronym title="The data is owned by the callee, which is responsible of freeing it."><span class="acronym">transfer none</span></acronym>]</span></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="thunar-io-jobs-load-statusbar-text-for-folder"></a><h3>thunar_io_jobs_load_statusbar_text_for_folder ()</h3>
<pre class="programlisting"><a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
thunar_io_jobs_load_statusbar_text_for_folder
                               (<em class="parameter"><code><a class="link" href="ThunarStandardView.html" title="ThunarStandardView"><span class="type">ThunarStandardView</span></a> *standard_view</code></em>,
                                <em class="parameter"><code><a class="link" href="ThunarFolder.html" title="ThunarFolder"><span class="type">ThunarFolder</span></a> *folder</code></em>);</pre>
</div>
<hr>
<div class="refsect2">
<a name="thunar-io-jobs-load-statusbar-text-for-selection"></a><h3>thunar_io_jobs_load_statusbar_text_for_selection ()</h3>
<pre class="programlisting"><a class="link" href="ThunarJob.html" title="ThunarJob"><span class="returnvalue">ThunarJob</span></a> *
thunar_io_jobs_load_statusbar_text_for_selection
                               (<em class="parameter"><code><a class="link" href="ThunarStandardView.html" title="ThunarStandardView"><span class="type">ThunarStandardView</span></a> *standard_view</code></em>,
                                <em class="parameter"><code><span class="type">GHashTable</span> *selected_g_files</code></em>);</pre>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.34.0</div>
</body>
</html>